summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author fossfun <fossfun@gmail.com>2010-05-12 23:33:43 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:43 +0200
commitdbe486d97c18534ac9574310fcb67edc3a8380fd (patch)
tree5fcf9d4cff23c6d7cc3dadb92fdf26ccef686aed
parenta6b80b3b3b51fb7931ab23b1e6e0c1e161181204 (diff)
downloadslackbuilds-dbe486d97c18534ac9574310fcb67edc3a8380fd.tar.gz
slackbuilds-dbe486d97c18534ac9574310fcb67edc3a8380fd.tar.xz
system/mtftar: Added to 12.2 repository
-rw-r--r--system/mtftar/README9
-rw-r--r--system/mtftar/mtftar.SlackBuild63
-rw-r--r--system/mtftar/mtftar.info8
-rw-r--r--system/mtftar/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/system/mtftar/README b/system/mtftar/README
new file mode 100644
index 0000000000..e84a5bd017
--- /dev/null
+++ b/system/mtftar/README
@@ -0,0 +1,9 @@
+mtftar is a tool for translating a MTF stream to a TAR stream.
+MTF is a format commonly found on Microsoft systems as it's
+what is generated by the NTBACKUP.EXE tool that ships with
+all modern versions of Windows.
+
+The $VERSION of this package has been derived from the
+changelog document contained in the source tarball because
+the source tarball is not distributed with a version number
+or a date.
diff --git a/system/mtftar/mtftar.SlackBuild b/system/mtftar/mtftar.SlackBuild
new file mode 100644
index 0000000000..047ec34bc5
--- /dev/null
+++ b/system/mtftar/mtftar.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for mtftar
+
+# Written by fossfun fossfun@gmail.com
+
+# Concepts in this script taken from the slackbuilds.org template.
+# Do what you will with this script but give credit where credit is due.
+
+PRGNAM=mtftar
+VERSION=${VERSION:-20070205}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tar.gz
+mv $TMP/$PRGNAM $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's%-O9 %%' Makefile
+CFLAGS+="$SLKCFLAGS" make
+
+mkdir -p $PKG/usr/bin/
+cp $TMP/$PRGNAM-$VERSION/mtftar $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG LICENSE README DESCRIPTION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/system/mtftar/mtftar.info b/system/mtftar/mtftar.info
new file mode 100644
index 0000000000..60380d044e
--- /dev/null
+++ b/system/mtftar/mtftar.info
@@ -0,0 +1,8 @@
+PRGNAM="mtftar"
+VERSION="20070205"
+HOMEPAGE="http://gpl.internetconnection.net/"
+DOWNLOAD="http://gpl.internetconnection.net/files/mtftar.tar.gz"
+MD5SUM="e73af8a7f3d0fc6ac79be8cc44c375c0"
+MAINTAINER="fossfun"
+EMAIL="fossfun@gmail.com"
+APPROVED="rworkman"
diff --git a/system/mtftar/slack-desc b/system/mtftar/slack-desc
new file mode 100644
index 0000000000..797f4e8170
--- /dev/null
+++ b/system/mtftar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mtftar: mtftar (tool for translating a MTF stream to a TAR stream)
+mtftar:
+mtftar: MTF is a format commonly found on Microsoft systems as it's what is
+mtftar: generated by the NTBACKUP.EXE tool that ships with all modern
+mtftar: versions of Windows.
+mtftar:
+mtftar: http://gpl.internetconnection.net/files/
+mtftar:
+mtftar:
+mtftar:
+mtftar: